Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455045 - Ruby/Tk crashed on simplest application
Summary: Ruby/Tk crashed on simplest application
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL: http://rubyforge.org/tracker/?func=de...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 16:56 UTC by Dmitry A. Ustalov
Modified: 2009-02-02 08:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 483537 (view as bug list)
Environment:
Last Closed: 2009-02-02 08:11:39 UTC


Attachments (Terms of Use)
backtrace and memory map (deleted)
2008-07-11 16:56 UTC, Dmitry A. Ustalov
no flags Details
Ruby/Tk Example 3 from PickAxe book (reproduces the bug) (deleted)
2008-07-11 17:07 UTC, Dmitry A. Ustalov
no flags Details

Description Dmitry A. Ustalov 2008-07-11 16:56:56 UTC
On a number of unexplained causes, launching the simplest program written in 
ruby/tk, leads to crashing ruby.

For example:
eveel{~}% cat ruby-tk-ex3.rb 
require 'tk'
root = TkRoot.new { title "Ex3" }
top = TkFrame.new(root) { relief 'raised'; border 5 }
lbl = TkLabel.new(top) do
  justify 'center'
  text    'Hello, World!'
  pack('padx'=>5, 'pady'=>5, 'side' => 'top')
end
TkButton.new(top) do
  text "Ok"
  command { exit }
  pack('side'=>'left', 'padx'=>10, 'pady'=>10)
end
TkButton.new(top) do
  text "Cancel"
  command { lbl.configure('text'=>"Goodbye, Cruel World!") }
  pack('side'=>'right', 'padx'=>10, 'pady'=>10)
end
top.pack('fill'=>'both', 'side' =>'top')
Tk.mainloop

eveel{~}% ruby ruby-tk-ex3.rb 
*** glibc detected *** ruby: free(): invalid next size (fast): 0x091f87a0 ***
======= Backtrace: =========
/lib/libc.so.6[0xb5d7e4]
{...}
b7ee5000-b7f71000 rw-p b7ee5000 00:00 0 
bf873000-bf888000 rw-p bffeb000 00:00 0          [stack]
zsh: abort      ruby ruby-tk-ex3.rb
eveel{~}% 

My system is:
    Fedora release 9 (Sulphur),
    ruby 1.8.6 (2008-06-20 patchlevel 230) [i386-linux],
    tcl 8.5.3, tk 8.5.3,
    glibc 2.8

Also, I've reported about this bug in http://rubyforge.org/tracker/?
func=detail&aid=21168&group_id=426&atid=1698

Comment 1 Dmitry A. Ustalov 2008-07-11 16:56:56 UTC
Created attachment 311605 [details]
backtrace and memory map

Comment 2 Dmitry A. Ustalov 2008-07-11 17:07:20 UTC
Created attachment 311608 [details]
Ruby/Tk Example 3 from PickAxe book (reproduces the bug)

example is attached

Comment 3 Fedora Admin XMLRPC Client 2009-01-30 12:45:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jeroen van Meeuwen 2009-02-02 08:11:39 UTC
This works fine on Fedora 10's ruby-1.8.6-287, can you please confirm?

If it doesn't work still, please reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.